smartpm_1.4-2_all.deb


Advertisement

Description

smartpm - An alternative package manager that works with dpkg/rpm

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name smartpm
Package version 1.4
Package release 2
Package architecture all
Package type deb
Installed size 330 B
Download size 71.06 KB
Official Mirror archive.ubuntu.com
The Smart Package Manager project has the ambitious objective of
creating smart and portable algorithms for solving adequately the
problem of managing software upgrading and installation. This tool
works in all major distributions (APT, APT-RPM, YUM, URPMI, etc).
This package contains the GTK2 frontend for Smart.

Alternatives

Package Version Architecture Repository
smartpm_1.4-2_all.deb 1.4 all Ubuntu Universe
smartpm - - -

Requires

Name Value
python-gtk2 -
smartpm-core >= 1.4-2

Conflicts

Name Value
python-smartpm <= 1.2-0ubuntu0.9.04
smartpm-core <= 1.1.1

Download

Type URL
Binary Package smartpm_1.4-2_all.deb
Source Package smart

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install smartpm deb package:
    # sudo apt-get install smartpm

Files

Path
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/__init__.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/changes.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/channels.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/command.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/flags.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/interactive.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/interface.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/legend.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/log.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/mirrors.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/packageinfo.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/packageview.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/priorities.py
/usr/lib/python2.7/dist-packages/smart/interfaces/gtk/progress.py
/usr/lib/python2.7/dist-packages/smart/interfaces/images/crystal-add.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/crystal-apply.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/crystal-cancel.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/crystal-delete.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/crystal-edit.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/crystal-redo.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/crystal-reload.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/crystal-search.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/crystal-trash.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/crystal-undo.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/crystal-upgrade.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/folder.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-available-locked.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-available.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-broken.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-downgrade.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-install.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-installed-locked.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-installed-outdated.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-installed.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-new-locked.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-new.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-purge.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-reinstall.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-remove.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/package-upgrade.png
/usr/lib/python2.7/dist-packages/smart/interfaces/images/smart.png
/usr/share/applications/smart.desktop
/usr/share/doc/smartpm/README.Debian
/usr/share/doc/smartpm/README.gz
/usr/share/doc/smartpm/TODO
/usr/share/doc/smartpm/changelog.Debian.gz
/usr/share/doc/smartpm/copyright
/usr/share/pixmaps/smart.xpm

Changelog

2011-08-12 - Free Ekanayaka <freee@debian.org>
smart (1.4-2) unstable; urgency=low
* Switch to dh_python2 (Thanks to Barry Warsaw)
2011-05-31 - Free Ekanayaka <freee@debian.org>
smart (1.4-1) unstable; urgency=low
* New upstream release
* Drop several patches (02_fix_fetcher_test, 03_setup,
06_CVE-2009-3560.patch and 06_CVE-2009-3720.patch) as they were
all merged upstream
2010-06-28 - Andreas Barth <aba@not.so.argh.org>
smart (1.3-1.3) unstable; urgency=low
* Non-maintainer upload.
* Fix my own upload, make smartpm installable again:
drop debian/pyversions from 1.3-1.2 again.
2010-06-25 - Andreas Barth <aba@not.so.argh.org>
smart (1.3-1.2) unstable; urgency=low
[ tony mancill ]
* Non-maintainer upload. 
* Thanks to Sandro Tosi and Jakub Wilk 
* debian/control:
- Set XS-Python-Version: all (Closes: #570572)
* debian/rules:
- Fix-up the shebang in /usr/bin/smart to remove the python version.
[ Andreas Barth ]
* uploading to unstable.
2010-03-05 - Free Ekanayaka <freee@debian.org>
smart (1.3-1) unstable; urgency=low
* Imported Upstream version 1.3
* Drop 05_curl_timeout patch, merged upstream
* Drop 04_detect_plugins patch, merged upstream
2010-02-14 - Thijs Kinkhorst <thijs@debian.org>
smart (1.2-5.1) unstable; urgency=medium
* Non-maintainer upload by the security team.
* Add 06_CVE-2009-3560 patch to address a minor security issue
(Closes: #560953).
2010-01-25 - Free Ekanayaka <freee@debian.org>
smart (1.2-5) unstable; urgency=low
* Add 06_CVE-2009-3720 patch (Closes: #560953)
* Switch from pycentral to pysupport
2009-06-19 - Free Ekanayaka <freee@debian.org>
smart (1.2-4) unstable; urgency=low
* Add 04_detect_plugins and 05_curl_timeout patches
2009-05-28 - Free Ekanayaka <freee@debian.org>
smart (1.2-3) unstable; urgency=low
* Workaround for cdbs breaking backward compatibility
in #525436 (Closes: #529598)
2009-05-15 - Free Ekanayaka <freee@debian.org>
smart (1.2-2) unstable; urgency=low
* Relax Conflicts to allow backports
* Drop smart-update wrapper, now included in landscape-client (Ubuntu)

See Also

Package Description
smartshine_0.36-0ubuntu2_all.deb Automatic photo adjusting software
smarty-gettext_1.2.0-1ubuntu1_all.deb Gettext plugin enabling internationalization in Smarty
smarty-validate_3.0.3-2_all.deb Server-side form validation plugin for Smarty
smarty3_3.1.21-1ubuntu1_all.deb Template engine for PHP
smb-nat_1.0-6ubuntu1_i386.deb Netbios Auditing Tool
smb2www_980804-41_all.deb SMB/CIFS network client with a web interface
smb4k_1.1.2-1_i386.deb Samba (SMB) share advanced browser for KDE
smbc_1.2.2-4build1_i386.deb samba-commander - curses based samba network browser
smbios-utils_2.3.0-0ubuntu1_i386.deb Provide access to (SM)BIOS information -- utility binaries
smbldap-tools_0.9.9-1ubuntu1_all.deb Scripts to manage Unix and Samba accounts stored on LDAP
smbnetfs_0.6.0-1_i386.deb User-space filesystem for SMB/NMB (Windows) network servers and shares
smcroute_2.0.0-5_i386.deb static multicast router daemon
smem_1.4-2_all.deb memory reporting tool
smemcap_1.4-2_i386.deb data collection tool for memory reporting
smemstat_0.01.14-1_i386.deb memory usage monitoring tool
Advertisement
Advertisement